Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::BlockDiffParams Class Reference

A class encapsulating parameters for calculating a block difference value (a single instance of matching).

`#include <me_utils.h>`

List of all members.

## Public Member Functions

- BlockDiffParams ()
    Constructor.
- BlockDiffParams (const int x_p, const int y_p, const int x_l, const int y_l)
    Constructor.
- void SetBlockLimits (const OLBParams &bparams, const PicArray &pic_data, const int xbpos, const int ybpos)
    Set the limits of the block to fit in a picture.
- int Xp () const
    Return the x-position of the top-left block corner.
- int Yp () const
    Return the y-position of the top-left block corner.
- int Xl () const
    Return the block width.
- int Yl () const
    Return the block height.
- int Xend () const
    Return the block horizontal endpoint.
- int Yend () const
    Return the block vertical endpoint.

## Private Attributes

- int m_xp
- int m_yp
- int m_xl
- int m_yl
- int m_xend
- int m_yend

## Constructor & Destructor Documentation

dirac::BlockDiffParams::BlockDiffParams | ( |  | ) | `[inline]`

dirac::BlockDiffParams::BlockDiffParams | ( | const int | x_p,
|  | const int | y_p,
|  | const int | x_l,
|  | const int | y_l |
| ) |  |  | `[inline]`

## Member Function Documentation

void dirac::BlockDiffParams::SetBlockLimits | ( | const OLBParams & | bparams,
|  | const PicArray & | pic_data,
|  | const int | xbpos,
|  | const int | ybpos |
| ) |  |  |

int dirac::BlockDiffParams::Xp | ( |  | ) | const`[inline]`

References m_xp.

int dirac::BlockDiffParams::Yp | ( |  | ) | const`[inline]`

References m_yp.

int dirac::BlockDiffParams::Xl | ( |  | ) | const`[inline]`

References m_xl.

int dirac::BlockDiffParams::Yl | ( |  | ) | const`[inline]`

References m_yl.

int dirac::BlockDiffParams::Xend | ( |  | ) | const`[inline]`

References m_xend.

int dirac::BlockDiffParams::Yend | ( |  | ) | const`[inline]`

References m_yend.

## Member Data Documentation

int dirac::BlockDiffParams::m_xp`[private]`

Referenced by Xp().

int dirac::BlockDiffParams::m_yp`[private]`

Referenced by Yp().

int dirac::BlockDiffParams::m_xl`[private]`

Referenced by Xl().

int dirac::BlockDiffParams::m_yl`[private]`

Referenced by Yl().

int dirac::BlockDiffParams::m_xend`[private]`

Referenced by Xend().

int dirac::BlockDiffParams::m_yend`[private]`

Referenced by Yend().

The documentation for this class was generated from the following file:

- me_utils.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.